curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_notification(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
async def get_notification():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_notification_async(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
asyncio.run(get_notification())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Notification
Get notification
Get a single notification event by ID.
GET
/
api
/
v1
/
notifications
/
{notification_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_notification(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
async def get_notification():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_notification_async(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
asyncio.run(get_notification())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Path parameters
The unique identifier of the notification event.
Response
Unique identifier for the notification event.
Event type (e.g.,
job.completed).Event payload data.
ISO 8601 timestamp when the event was created.
Workflow associated with this event.
null for workspace-level events.Whether the current user has marked this notification as read. Default:
false.curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.get_notification(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetNotificationApiV1NotificationsNotificationIdGetRequest
async def get_notification():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.get_notification_async(
request=GetNotificationApiV1NotificationsNotificationIdGetRequest(
notification_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
)
)
print(response)
asyncio.run(get_notification())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Was this page helpful?
⌘I

